> For the complete documentation index, see [llms.txt](https://docs.truedat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truedat.io/v8.4/release-notes/v8/v8.1.md).

# v8.1

### Features and fixes delivered with this release

### Features&#xD;&#xD;

* TD-7337 Implementations to have separate menu options based on their template type.
* TD-7787 Unify notes excel upload.
* TD-7694 Improve Domain Selector visibility by applying correct 'selection' styling.

### Fixes&#xD;

* TD-7438 Issue in note upload management when the user does not have permission.
* TD-7885 When a connector tries to restore a structure, metadata restoration fails.
* TD-7850 Error when searching in the Grant Request view.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.truedat.io/v8.4/release-notes/v8/v8.1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
